Subject: Re: bug#10113: 24.0.91; Isearch & `M-e'

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Mar 2022 22:52:31 +0100

Juri Linkov <[email-masked]> writes:

> Yes, this patch makes automatic toggling in both directions:
> from case-insensitive to case-sensitive and back from case-sensitive
> to case-insensitive.

This was ten years ago, and isearch behaves the same, as far as I can
tell. 

> Without this patch the current behavior is automatic toggling in one
> direction: from case-insensitive to case-sensitive (on the first
> encountered upper case letter).  Toggling back from case-sensitive
> to case-insensitive is manual with `M-c', and this choice is remembered
> with the value `yes' of `isearch-case-fold-search'.

I think your patch makes sense -- make `M-c' toggle the case
sensitivity in both directions, if I understand correctly?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no